Subject: Dove or Handkerchief tree

From: [email-masked] (Doug Wedding)
Date: Wed, 29 Mar 1995 17:44:43 GMT

Could you please tell me the furthest north (in the USA) that you have seen a 
healthy (Davidia) Dove or Handkerchief tree growing.  Dirr list it as Zone 
6 - 8 but  I live in Central Kentucky and have never seen one around here.  
I'm not sure if it's because of it's hardiness or because it's new to this 
area.

Summery: Do you think a Dove tree will grow in Lexington, KY?